Page MenuHomePhabricator

"Uncaught Error: Inserted data is trying to close the root node (at index 0)" appears after closing the dialog for Graph and pressing return
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  1. Open VE
  2. Open the Graph insert dialog
  3. Click "Cancel" to close the dialog
  4. Observe that, the cursor has now moved to the end of the previous line
  5. Press return to go to the next line

The following error appears in the console:
Uncaught Error: Inserted data is trying to close the root node (at index 0)

Event Timeline

Ryasmeen created this task.May 23 2017, 2:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2017, 2:01 PM
Jdforrester-WMF triaged this task as High priority.May 30 2017, 7:22 PM
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF added a project: Graphs.

Change 379435 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] Surface: reset selection when popping staging

https://gerrit.wikimedia.org/r/379435

Change 379437 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/Graph@master] ui.MWGraphDialog: update dialog fragment after popping staging

https://gerrit.wikimedia.org/r/379437

Change 379435 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Surface: reset selection when popping staging

https://gerrit.wikimedia.org/r/379435

Change 379557 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (bd5da1725)

https://gerrit.wikimedia.org/r/379557

Change 379437 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] ui.MWGraphDialog: update dialog fragment after popping staging

https://gerrit.wikimedia.org/r/379437

Jdforrester-WMF closed this task as Resolved.Sep 25 2017, 3:09 PM
Jdforrester-WMF assigned this task to DLynch.
Jdforrester-WMF set the point value for this task to 8.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 25 2017, 3:09 PM

Change 379557 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (0ec5fe55f)

https://gerrit.wikimedia.org/r/379557

Ryasmeen edited projects, added Verified; removed Patch-For-Review.Sep 25 2017, 6:07 PM